@import url('https://fonts.googleapis.com/css2?family=Anton&family=Bodoni+Moda:ital,opsz,wght@0,6..96,400..900;1,6..96,400..900&family=Bungee&family=Meow+Script&family=Outfit:wght@100..900&family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&family=Roboto+Mono:ital,wght@0,100..700;1,100..700&family=Tilt+Warp&display=swap');

html,
body {
    position: relative;
    margin: 0;
    padding: 0;
    width: 100vw;
    min-height: 100vh;
    height: auto;
    /*overflow-x: hidden;*/
    font-family: 'Outfit', sans-serif;
    scroll-behavior: auto;
    user-select: none;
    background: #FFF;
    overflow-x: hidden;
}

html {
    font-size: 16px;
}

body {
    font-size: 1rem;
}

/* Reset general styles */
* {
    position: relative;
    float: left;
    margin: 0;
    padding: 0;
}

strong,
span,
em,
br,
a {
    position: unset;
    float: unset;
    margin: unset;
    padding: unset;
}

button {
    font-family: 'Outfit', sans-serif;
    letter-spacing: 0.1rem;
    cursor: pointer;
}

strong {
    font-weight: 900;
}

#data-container {
    width: 100%;
    height: auto;
}

#data-container-main {
    width: 96vw;
    margin-right: 2vw;
    margin-right: 2vw;
}

.container {
    width: 100vw;
    height: auto;
    min-height: 100vh;
}

.blocking-container {
    max-height: 100vh;
    min-height: 100vh;
    overflow: hidden;
}

.entry-content {
    width: 100vw;
    height: auto;
    min-height: 100vh;
}

.opening-video-content {
    width: 100vw;
    height: auto;
    min-height: 100vh;
}

/*opening-video*/
.opening-video {
    width: 100vw;
    height: 100vh;
    position: fixed;
    top: 0;
    left: 0;
    object-fit: cover;
    object-position: top;
}

.opening-video-2 {
    width: 30vw;
    height: 25vh;
    border-radius: 2rem;
    position: absolute;
    object-fit: cover;
    object-position: center;
    top: 37vh;
    left: 18.5vw;
}

.opening-video-3 {
    width: 23vw;
    height: 25vh;
    border-radius: 2rem;
    position: absolute;
    object-fit: cover;
    object-position: center;
    top: 63.1vh;
    left: 37vw;
}

.opening-video-4 {
    width: 13vw;
    height: 15vh;
    border-radius: 1.5rem;
    position: absolute;
    object-fit: cover;
    object-position: center;
    top: 20.9vh;
    left: 37vw;
}

.opening-video-5 {
    width: 30vw;
    height: 30vh;
    border-radius: 2rem;
    position: absolute;
    object-fit: cover;
    object-position: center;
    top: 63vh;
    left: 6.5vw;
}

.opening-video-6 {
    width: 13vw;
    height: 45vh;
    border-radius: 2rem;
    position: absolute;
    object-fit: cover;
    object-position: center;
    top: 17vh;
    left: 5vw;
}

.opening-video-7 {
    width: 18vw;
    height: 19vh;
    border-radius: 2rem;
    position: absolute;
    object-fit: cover;
    object-position: center;
    top: 16.8vh;
    left: 18.5vw;
}

.opening-video-8 {
    width: 16vw;
    height: 18vh;
    border-radius: 2rem;
    position: absolute;
    object-fit: cover;
    object-position: center;
    top: 44vh;
    left: 49vw;
}

.entry-text-container {
    position: absolute;
    width: 40vw;
    right: 5vw;
    height: auto;
    min-height: 100vh;
    top: 0vh;
    color: #000;
    text-align: right;
}

.entry-text-cover-mobile-container {
    display: none;
}

.entry-text-content {
    width: 40vw;
    height: auto;
    min-height: 29vh;
    top: 44vh;
    display: grid;
}

.entry-content-title {
    width: 40vw;
    font-weight: 900;
    font-size: 7rem;
    letter-spacing: 0;
    line-height: 5.1rem;
    margin-top: -5vh;
    width: 100%;
    text-transform: uppercase;
}

.entry-content-year {
    font-family: 'Bodoni Moda', serif;
    letter-spacing: -0.3rem;
    font-size: 12rem;
    font-weight: 710;
    width: 40vw;
    line-height: 8rem;
    clear: both;
    width: 100%;
}

.entry-button-cta {
    position: absolute;
    top: 22vh;
    right: 0vw;
    background: #acd2c1;
    color: #FFF;
    text-transform: uppercase;
    font-weight: 750;
    letter-spacing: 0.1rem;
    text-align: center;
    padding: 1rem;
    border-radius: 0.5rem;
    border: none;
    margin-top: 3rem;
}

/*GESTIONE BOTTONE ALL CASTING*/
.all-casting-button {
    background: #638c7e;
    color: #FFF;
    text-transform: uppercase;
    font-size: 2rem;
    font-weight: 900;
    letter-spacing: -0.1rem;
    padding: 0.5rem;
    padding-right: 1rem;
    padding-left: 1rem;
    border-radius: 0.5rem;
    border: none;
    position: relative;
    margin-top: -15vh;
    margin-left: 20vw;
    visibility: hidden;
    box-shadow: 0 0 0px rgb(125, 173, 157);
}

/*GESTIONE HIGHLIGHTS CASTING*/
.casting-highlights {
    width: 50vw;
    height: 88vh;
    min-height: 88vh;
    position: absolute;
    right: 0;
    top: 0;
    margin-top: 12vh;
    visibility: hidden;
}

.casting-hightlights-title-container {
    width: 50vw;
    height: auto;
    position: relative;
    margin-top: 5vh;
    margin-right: 0;
    position: absolute;
    top: 0;
    right: 0;
}

.casting-highlights-subtitle {
    margin: 0;
    width: calc(50vw - 2rem - 3vw);
    margin-top: 1rem;
    font-size: 1.5rem;
    font-weight: 500;
    color: #FFF;
    padding: 1rem;
    padding-right: calc(3vw + 1rem);
    letter-spacing: 0.2rem;
    background: #000;
    text-align: right;
}

.single-casting-highlights-container {
    width: 45vw;
    margin-right: 2.5vw;
    margin-left: 2.5vw;
    height: auto;
    max-height: 50vh;
    overflow-y: scroll;
    padding-bottom: 5vh;
    padding-top: 22vh;
}

.single-casting-hightlist {
    width: 45vw;
    height: calc(15vw / 1.92);
    min-height: calc(15vw / 1.92);
    max-height: calc(15vw / 1.92);
    border-radius: 1rem;
    background: #f1f1f1;
    margin-top: 0.5rem;
    margin-bottom: 0.5rem;
}

.single-casting-hightlights-img {
    height: calc(15vw / 1.92);
    width: 15vw;
    object-fit: cover;
    object-position: center;
    position: absolute;
    left: 0;
    top: 0;
    border-radius: 1rem;
}

.single-casting-hightlights-cover {
    width: 30vw;
    height: auto;
    min-height: calc(15vw / 1.92);
    ;
    max-height: calc(15vw / 1.92);
    ;
    background: linear-gradient(-90deg, #FFF 0%, #FFF 76%, #fff0 100%);
    position: absolute;
    right: 0;
}

.single-casting-hightlights-text-container {
    width: 30vw;
    height: auto;
    min-height: calc(15vw / 1.92);
    ;
    position: absolute;
    right: 0;
    top: 0;
    text-align: right;
}

.single-casting-highlights-division {
    width: 30vw;
    text-align: right;
    font-size: 1rem;
    letter-spacing: 0.1rem;
    top: 0;
    right: 1rem;
    font-weight: 300;
    color: #000;
    text-transform: uppercase;
}

.single-casting-highlights-title {
    width: 30vw;
    padding-left: 2.5vw;
    margin-top: 0.5rem;
    font-weight: 750;
    font-size: 2rem;
    line-height: 1.8rem;
    color: #000;
    text-transform: uppercase;
    text-align: left;
    box-sizing: border-box;
}

.single-casting-highlights-subtitle {
    width: 30vw;
    padding-left: 2.5vw;
    margin-top: 0.5rem;
    font-size: 1.2rem;
    line-height: 1rem;
    letter-spacing: 0.1rem;
    font-weight: 300;
    text-align: left;
    box-sizing: border-box;
}

.single-casting-highlights-detail-container {
    width: 30vw;
    padding-left: 2.5vw;
    margin-left: 0;
    text-align: left;
    margin-top: 1rem;
    box-sizing: border-box;
}

.single-casting-highlights-text {
    font-size: 1rem;
    line-height: 1.2rem;
    color: #202020;
    font-weight: 200;
}

.single-casting-highlights-info {
    list-style: none;
}

.single-casting-highlights-info .info-detail-name {
    position: relative;
    float: left;
    text-transform: uppercase;
    color: #000;
    background: transparent;
}

.single-casting-highlights-info .single-detail-value {
    position: relative;
    height: auto;
    font-size: 0.7rem;
    color: #000;
}

#data-container .single-casting-highlights-info {
    float: left;
    display: grid;
    width: 60%;
    margin-top: 0.5rem;
}

#data-container .single-casting-info-item {
    display: grid;
}

.single-casting-highlights-info li {
    clear: both;
    width: 100%;
    margin-top: 0.2rem;
    font-size: 1rem;
    font-weight: 100;
}

.single-casting-highlights-button {
    position: absolute;
    bottom: 0.5rem;
    right: 0;
    background: #000;
    color: #FFF;
    padding: 0.5rem;
    padding-right: 1.5rem;
    padding-left: 1.5rem;
    border-radius: 0.5rem;
    border: none;
    text-transform: uppercase;
    letter-spacing: 0.1rem;
    font-weight: 300;
}

.bordered-casting {
    border: 2px solid #9000ff;
    box-sizing: border-box;
}

.single-casting-highlights-icon-container {
    width: 2rem;
    height: 2rem;
    border-radius: 5rem;
    background: #000;
    display: flex;
    align-items: center;
    justify-content: center;
    position: absolute;
    right: 1rem;
    bottom: 0.5rem;
    cursor: pointer;
    display: none;
}

/*GESTIONE ALL CASTING CONTAINER*/
.casting-container {
    position: relative;
    margin-left: 0;
    width: 100vw;
    height: auto;
    min-height: 100vh;
    background: #f5f5f5;
    padding-top: 5vh;
}

.all-casting-container-title {
    width: 50vw;
    margin-top: 2rem;
    margin-left: 5vw;
    font-size: 3rem;
    font-weight: 900;
    letter-spacing: -0.05rem;
    text-transform: uppercase;
}

/*GESTIONE SINGLE CASTING*/
.single-casting-container {
    width: calc((96vw / 4) - 2vw);
    margin: 1vw;
    background: #FFF;
    border-radius: 1rem;
    height: 43vh;
    min-height: 43vh;
    overflow: hidden;
    box-shadow: 0 0 0.5rem #00000020;
}

.single-casting-background-img {
    width: calc((96vw / 4) - 2vw);
    min-height: calc(((96vw / 4) - 2vw) / 1.92);
    max-height: calc(((96vw / 4) - 2vw) / 1.92);
    position: absolute;
    top: 0;
    left: 0;
    border-radius: 1rem;
    object-fit: cover;
    object-position: top;
}

.single-casting-info-container {
    /*background: linear-gradient(218deg,rgba(255, 255, 255, 1) 0%, rgba(255, 255, 255, 0.71) 78%, rgba(255, 255, 255, 0) 100%);*/
    background: #fdfdfd;
    width: calc((96vw / 4) - 2vw);
    padding: 0.5rem;
    box-sizing: border-box;
    height: 18vh;
    min-height: 18vh;
    text-align: right;
    position: absolute;
    bottom: 0;
    border-radius: 1rem;
}

.single-casting-mask-expiration {
    opacity: 0;
    visibility: hidden;
    width: calc((96vw / 4) - 2vw);
    min-height: 15vh;
    position: absolute;
    top: 0;
    left: 0;
    border-radius: 1rem;
    background: #00000080;
    display: flex;
    align-items: center;
    justify-content: center;
    text-align: center;
}

.single-casting-mask-expiration-info {
    opacity: 0;
    visibility: hidden;
    color: #FFF;
    text-transform: uppercase;
    letter-spacing: 0.2rem;
}

span.decorative-line {
    opacity: 0;
    visibility: hidden;
    width: 80%;
    height: 1px;
    background: #FFF;
}

.single-casting-expiration {
    width: calc((((96vw / 4) - 2vw) - 3.5rem) / 2);
    margin-left: calc((((96vw / 4) - 2vw) - 2.5rem) / 2);
    /*margin-left: calc(((96vw / 4) - 2vw) / 2);*/
    margin-right: 0.4rem;
    height: auto;
    text-align: right;
    font-size: 0.75rem;
    font-weight: 300;
    line-height: 1rem;
    text-transform: uppercase;
    background: #000;
    color: #FFF;
    padding: 0.2rem;
    padding-right: 1rem;
}

.single-casting-title {
    width: calc(((96vw / 4) - 2vw) - 2rem);
    height: auto;
    margin-bottom: 0.3rem;
    text-align: right;
    font-size: 1.2rem;
    font-weight: 750;
    letter-spacing: 0.05rem;
    line-height: 1rem;
    text-transform: uppercase;
    margin-top: 0.3rem;
    display: grid;
}

span.detail-location-name {
    width: 100%;
    margin: 0;
    margin-bottom: 0.5rem;
    font-size: 0.7rem;
    color: #444;
    text-transform: uppercase;
    letter-spacing: 0.1rem;
    line-height: 1rem;
    font-weight: 200;
    min-height: 1rem;
}

span.detail-single-location-value {
    width: auto;
    margin-left: 0.1rem;
    padding: 0.15rem;
    background: #000;
    border-radius: 5rem;
    color: #FFF;
    font-weight: 500;
    padding-left: 0.5rem;
    padding-right: 0.5rem;
}

.single-casting-sub-title {
    width: calc((96vw / 4) - 4vw);
    height: auto;
    text-align: right;
    text-transform: uppercase;
    font-size: 0.9rem;
    letter-spacing: 0.05rem;
    color: #000;
    font-weight: 300;
    margin-bottom: 1rem;
}

.single-casting-main-info-list {
    width: calc((96vw / 4) - 4vw);
    padding-left: 2vw;
    margin-top: 0.5rem;
    box-sizing: border-box;
    text-align: right;
    list-style: none;
}

.single-casting-info-item {
    width: calc((96vw / 4) - 6vw);
    margin-bottom: 0.5rem;
    float: right;
    top: -2rem;
    visibility: hidden;
    opacity: 0;
}

#data-container strong.info-detail-name {
    clear: both
}

.info-detail-name {
    color: #000;
    background: #00000015;
    padding: 0.5rem;
    padding-top: 0.1rem;
    padding-bottom: 0.1rem;
    font-size: 0.7rem;
    font-weight: 500;
    letter-spacing: 0.08rem;
    border-radius: 2rem;
    line-height: 0.8rem;
    clear: both;
    float: right;
    margin-bottom: 0.1rem
}

span.single-detail-value {
    width: calc((96vw / 4) - 6vw);
    font-weight: 300;
    color: #000;
    float: right;
    font-size: 0.9rem;
    line-height: 0.9rem;
    text-align: right;
    text-transform: uppercase;
}

.single-casting-cta-button {
    position: absolute;
    bottom: 1rem;
    right: 1.3rem;
    background: #FFF;
    color: #000;
    font-weight: 500;
    font-size: 1rem;
    text-transform: uppercase;
    border-radius: 0.3rem;
    padding: 0.7rem;
    padding-top: 0.2rem;
    padding-bottom: 0.2rem;
    border: none;
    border: 0.5px solid #000;
}

/*GESTIONE DEL BOTTONE INFO*/
.single-casting-info-button {
    position: absolute;
    bottom: 1rem;
    left: 3.5rem;
    border: none;
    background: #FFF;
    color: #000;
    border-radius: 5rem;
    padding: 0.3rem;
    display: flex;
    align-items: middle;
    justify-items: center;
    border: 0.5px solid #000;
    transition: 0.2s;
}

.single-casting-info-button-selected {
    filter: invert(100%);
    transition: 0.2s;
}

/*GESTIONE DEL PANNELLO SHARING*/
.single-casting-sharing-button {
    position: absolute;
    bottom: 1rem;
    left: 1rem;
    border: none;
    background: #FFF;
    color: #000;
    border-radius: 5rem;
    padding: 0.3rem;
    display: flex;
    align-items: middle;
    justify-items: center;
    border: 0.5px solid #000;
}


/*******************************/
/*gestione del pannello sharing*/
#sharing-panel {
    position: fixed;
    bottom: -70vh;
    left: 35vw;
    width: 30vw;
    min-width: 30vw;
    max-width: 30vw;
    height: 70vh;
    min-height: 70vh;
    max-height: 70vh;
    padding: 2.5rem;
    box-sizing: border-box;
    background: #202020;
    z-index: 9999999999;
}

@keyframes sharing-panel-appear {
    from {
        bottom: -70vh;
        opacity: 0;
    }

    to {
        bottom: 0;
        opacity: 1;
    }
}

.open-sharing-panel {
    animation: sharing-panel-appear;
    animation-duration: 0.5s;
    animation-fill-mode: forwards;
}

.close-sharing-panel {
    animation: sharing-panel-close;
    animation-duration: 0.5s;
    animation-fill-mode: forwards;
}

@keyframes sharing-panel-close {
    from {
        bottom: 0;
        opacity: 1;
    }

    to {
        bottom: -70vh;
        opacity: 0;
    }
}

.sharing-title {
    color: #FFF;
    font-size: 3rem;
    text-transform: uppercase;
    width: 100%;
    font-weight: 100;
    border-bottom: 0.5px solid #CCC;
}

.icons-container {
    width: 20vw;
    margin-left: calc(5vw - 2.5rem);
    height: auto;
    max-height: 5vw;
}

.social-icon {
    width: calc(15vw / 3);
    height: calc(15vw / 3);
    fill: #FFF;
    color: #FFF;
    font-size: 2rem;
    display: flex;
    align-items: center;
    justify-content: center;
    cursor: pointer;
}

#status {
    position: absolute;
    right: 0;
    bottom: -2rem;
    padding: 0.2rem;
    padding-right: 0.4rem;
    padding-left: 0.4rem;
    background: #000;
    color: #FFF;
    font-weight: 100;
    border-radius: 0.3rem;
    display: none;
}

.container-mail-sender {
    width: calc(30vw - 7rem);
    position: absolute;
    bottom: -25vh;
    left: 0;
    padding: 1rem;
    border-radius: 1rem;
    height: 20vh;
    color: #FFF;
}

.inputInstruction {
    font-weight: 100;
    font-size: 1.5rem;
    text-align: left;
    line-height: 0.5rem;
    margin-top: 1rem
}

input.emailInputClass {
    padding: 1rem;
    border-radius: 15.6rem;
    border: none;
    width: 20vw;
    font-size: 1rem;
    margin-top: 2rem
}

.shareMailButton {
    color: #FFF;
    letter-spacing: 0.3rem;
    border-radius: 0.4rem;
    background: #202020;
    padding: 1.5rem;
    font-weight: 100;
    clear: both;
    margin-top: 1.5rem;
    padding-top: 0.7rem;
    padding-bottom: 0.7rem;
    font-size: 1.1rem;
    cursor: pointer;
    transition: 0.2s;
}

.shareMailButton:hover {
    background: #101010;
    transition: 0.2s;
}

.validationMessage {
    color: #FFF;
    width: 50%;
    margin-left: 1.5rem;
    letter-spacing: 0.2rem;
    margin-top: 2.2rem;
    font-weight: 100;
    font-size: 1rem;
    display: none;
}

.validationNegativeMessage {
    color: red;
}

.validationPositiveMessage {
    color: green;
}

/**/

.closing-sharing-button {
    position: absolute;
    top: -2.5vh;
    right: -2.5vh;
    border-radius: 3.1rem;
    color: #FFF;
    background: rgba(255, 255, 255, 0.1);
    cursor: pointer;
    transition: 0.2s;
    font-size: 2em;
    padding: 10px;
    border: 0.5px solid #FFF;
    z-index: 999;
}

.closing-sharing-button:hover {
    transition: 0.2s;
    transform: scale(1.1);
}

#hidden-id-to-share {
    display: none;
}

@keyframes sharing-title-move {
    from {
        opacity: 0;
        transform: translateY(-5vh);
    }

    to {
        opacity: 1;
        transform: translateY(0);
    }
}


.single-casting-hightlights-cover .single-casting-info-item {
    margin-bottom: 0.5rem;
    float: right;
    top: 0;
    visibility: unset;
    opacity: unset;
}

/*GESTIONE ALTRI FORMATI DESKTOP*/
@media (min-width: 1024px) and (max-width: 1279px) {
    html {
        font-size: 10px;
    }
}

@media (min-width: 1280px) and (max-width: 1365px) {
    html {
        font-size: 11px;
    }
}

@media (min-width: 1366px) and (max-width: 1439px) {
    html {
        font-size: 12px;
    }
}

@media (min-width: 1440px) and (max-width: 1679px) {
    html {
        font-size: 14px;
    }
}

@media (min-width: 1680px) and (max-width: 1919px) {
    html {
        font-size: 14px;
    }
}

/*GESTIONE DISPOSITIVI MOBILE*/
@media (min-width: 279px) and (max-width: 823px) {
    .single-casting-info-button {
        display: none;
    }
    .entry-content {
        width: 100vw;
        min-height: unset;
    }

    .opening-video-6 {
        width: 30vw;
    }

    .opening-video-2 {
        width: 45vw;
        left: 36.5vw;
    }

    .opening-video-4 {
        width: 31vw;
        left: 65vw;
    }

    .opening-video-7 {
        width: 27.4vw;
        left: 36.5vw;
    }

    .opening-video-3 {
        width: 58vw;
        height: 15vh;
        left: 38vw;
    }

    .opening-video-8 {
        width: 44vw;
        height: 15vh;
        top: 79vh;
        left: 38vw;
    }

    .entry-text-container {
        position: absolute;
        width: 90vw;
        right: 5vw;
    }

    .entry-text-cover-mobile-container {
        display: block;
        position: absolute;
        width: 100vw;
        right: 0;
        height: auto;
        min-height: 100vh;
        top: 0;
        background: linear-gradient(19deg, rgba(26, 37, 32, 0.7) 0%, rgba(26, 37, 32, 0.58) 54%, rgba(0, 0, 0, 0) 100%);
        left: -5vw;
    }

    .entry-text-content {
        width: 90vw;
        height: auto;
        min-height: 38vh;
        top: 45vh;
        display: grid;
        color: #FFF;
    }

    .entry-content-year {
        font-size: 9rem;
        width: 90vw;
        line-height: 6rem;
        width: 100%;
    }

    .entry-content-title {
        width: 90vw;
        font-size: 4rem;
        line-height: 3rem;
        margin-top: -19vh;
    }

    .entry-button-cta {
        top: 60vh;
        right: 0vw;
        background: rgb(172, 210, 193);
        color: #FFF;
        text-transform: uppercase;
        font-weight: 750;
        letter-spacing: 0.1rem;
        text-align: center;
        padding: 1rem;
        border-radius: 0.5rem;
        border: none;
        margin-top: 3rem;
    }

    /*GESTIONE HIGHLIGHTS CASTING*/
    .casting-highlights {
        width: 100vw;
        height: auto;
        min-height: unset;
        position: relative;
        right: 0;
        top: 0vh;
        margin-top: -60vh;
        will-change: auto;
        display: block !important;
    }

    .casting-hightlights-title-container {
        width: 100vw;
        position: relative;
        margin-top: 0;
        margin-right: 0;
        margin-left: 0;
        padding: 1rem;
        box-sizing: border-box;
    }

    .casting-highlights-subtitle {
        margin-top: 1rem;
        width: 100vw;
        padding: 0.5rem;
        margin-left: -1rem;
        box-sizing: border-box;
        text-align: center;
    }

    #data-container {
        width: calc(100vw - 2rem);
        min-height: unset;
        height: auto;
        margin-top: 1rem;
        margin-right: 0;
        margin-left: 0;
        margin: 1rem;
        padding-bottom: 1rem;
    }

    .all-casting-button {
        width: 85vw;
        font-size: 1.5rem;
        letter-spacing: 0rem;
        padding: 0.5rem;
        padding-right: 0;
        padding-left: 0;
        border-radius: 0.5rem;
        position: absolute;
        margin-top: 0;
        margin-left: 0;
        top: 45vh;
        left: 7.5vw;
    }

    .single-casting-highlights-container {
        width: calc(100vw - 2rem);
        margin-right: 1rem;
        margin-left: 1rem;
        max-height: unset;
        overflow-y: unset;
        padding-bottom: 5vh;
        padding-top: 0vh;
    }

    .single-casting-hightlist {
        width: calc(100vw - 2rem);
        min-height: calc((50vw - 2rem) / 1.92);
        max-height: calc((50vw - 2rem) / 1.92);
        height: calc((50vw - 2rem) / 1.92);
        margin-top: 0.5rem;
        margin-bottom: 0.5rem;
        background: #FFF;
    }

    .single-casting-hightlights-img {
        height: calc((50vw - 2rem) / 1.92);
        width: calc(50vw - 2rem);
        object-fit: cover;
        object-position: center;
        position: relative;
        left: unset;
        top: unset;
        border-radius: 1rem;
    }

    .single-casting-hightlights-cover {
        width: calc(100vw - 50vw);
        height: calc((50vw - 2rem) / 1.92);
        min-height: calc((50vw - 2rem) / 1.92);
        max-height: calc((50vw - 2rem) / 1.92);
        background: linear-gradient(-54deg, #FFF 34%, #FFF 76%, #fff0 100%);
        position: relative;
        right: unset;
        bottom: unset;
    }

    .single-casting-hightlights-text-container {
        width: calc((100% + 1.5rem) - 1rem);
        padding: 0.5rem;
        height: calc((50vw - 2rem) / 1.92);
        min-height: calc((50vw - 2rem) / 1.92);
        position: relative;
        right: unset;
        top: unset;
        text-align: right;
        box-sizing: border-box;
        margin-top: 0rem;
        border-radius: 1rem;
        background: #fdfdfd;
    }

    .single-casting-highlights-division {
        width: 100%;
        font-size: 0.6rem;
        right: 0rem;
    }

    .single-casting-highlights-title {
        width: 100%;
        padding-left: unset;
        margin-top: 0.2rem;
        font-size: 0.7rem;
        line-height: 0.7rem;
        text-align: right;
    }

    .single-casting-highlights-subtitle {
        width: 100%;
        padding-left: unset;
        margin-top: 0.5rem;
        font-size: 1rem;
        text-align: right;
    }

    .single-casting-highlights-detail-container {
        width: 100%;
        padding-left: unset;
        text-align: right;
        margin-top: 0.5rem;
    }

    #data-container .single-casting-highlights-info {
        display: grid;
        width: 100%;
    }

    .single-casting-highlights-info .single-detail-value {
        width: 100%;
    }

    .single-casting-highlights-button {
        position: relative;
        bottom: unset;
        right: unset;
        background: #000;
        color: #FFF;
        border-radius: 0.5rem;
        border: none;
        text-transform: uppercase;
        letter-spacing: 0.1rem;
        font-size: 0.5rem;
        font-weight: 300;
        float: left;
        width: 20vw;
        padding: 0.3rem;
        padding-right: unset;
        padding-left: unset;
        margin-left: calc(90% - 10vw);

        position: absolute;
        bottom: 0;
        right: 0;
    }

    /*gestione contenitore*/
    #data-container-main {
        width: calc(100% - 2rem);
        margin-left: 1rem;
        margin-right: 1rem;
        margin-top: 2.5rem;
    }

    /*GESTIONE ALL CASTING CONTAINER*/
    .casting-container {
        padding-top: 2vh;
    }

    /*GESTIONE DEL CONTENITORE*/
    .single-casting-container {
        width: 100%;
        margin: 0;
        margin-bottom: 1rem;
        height: auto;
        min-height: unset;
        box-shadow: 0 0 1rem #00000080;
    }

    .single-casting-background-img {
        width: 100%;
        min-height: calc((100vw - 2rem) / 1.92);
        max-height: calc((100vw - 2rem) / 1.92);
        position: relative;
        top: unset;
        left: unset;
    }

    .all-casting-container-title {
        width: 100%;
    }

    .single-casting-info-container {
        width: 100%;
        padding: 0.5rem;
        box-sizing: border-box;
        height: 20vh;
        min-height: unset;
        position: relative;
        bottom: unset;
        margin-top: 0;
    }

    .single-casting-expiration {
        width: calc(100% - 1rem);
        margin-left: 0;
        margin-right: 0;
        padding: 0.2rem;
        padding-right: 1rem;
        border-radius: 5rem;
    }

    .single-casting-title {
        width: 100%;
        display: grid;
    }

    span.detail-location-name {
        width: 100%;
    }


    /*sharing*/
    #sharing-panel {
        position: fixed;
        bottom: -70vh;
        left: 0vw;
        width: 100vw;
        min-width: 100vw;
        max-width: 100vw;
        padding: 2.5rem;
    }

    .sharing-title {
        font-size: 2.2rem;
        width: calc(100vw - 5rem);
        margin-top: 1rem;
    }

    .icons-container {
        width: calc(100vw - 2.5rem);
        margin: left 0;
        max-height: 5vw;
    }

    .social-icon {
        width: calc((100vw - 2.5rem) / 4);
        height: calc((100vw - 2.5rem) / 4);
        font-size: 2rem;
        display: flex;
        align-items: center;
        justify-content: center;
        cursor: pointer;
    }

    .container-mail-sender {
        width: calc(100vw - 7rem);
        bottom: -30vh;
        left: 0;
        padding: 0rem;
        border-radius: 1rem;
        height: 20vh;
    }

    .inputInstruction {
        font-weight: 100;
        font-size: 1.5rem;
        line-height: 1.5rem;
    }

    input.emailInputClass {
        width: calc(100vw - 7rem);
    }

    .shareMailButton {
        background: #101010;
    }

    .closing-sharing-button {
        right: 1.5vh;
    }

}